Subject: Re: gitweb - option to disable rename detection

From: Yasushi SHOJI <[email-masked]>
Date: Wed, 17 Aug 2005 08:14:23 +0900

At Mon, 15 Aug 2005 15:43:26 -0700 (PDT),
Linus Torvalds wrote:
> 
> On Tue, 16 Aug 2005, Yasushi SHOJI wrote:
> >
> > > Instead of disabling it entirely, how about just having some limit on it?
> > 
> > ah, that's a good idea.  here is a quick and dirty patch.
> 
> This makes it somewhat more expensive.

yes.  but much cheaper than OOM ;P

>                                        - I was thinking about disabling it 
> in git-diff-tree, since the rename logic already knows how many 
> new/deleted files there are.

I'll leave this feature for homework.  I'll work on
prepare_temp_file() first since it seems to fix my problem.

regards,
--
         yashi